Skip to content
This repository
branch: master
Fetching contributors…

Octocat-spinner-32-eaf2f5

Cannot retrieve contributors at this time

file 32 lines (26 sloc) 1.141 kb
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31
# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)
require "carrierwave_direct/version"

Gem::Specification.new do |s|
  s.name = "carrierwave_direct"
  s.version = CarrierwaveDirect::VERSION
  s.authors = ["David Wilkie"]
  s.email = ["dwilkie@gmail.com"]
  s.homepage = "https://github.com/dwilkie/carrierwave_direct"
  s.summary = %q{Upload direct to S3 using CarrierWave}
  s.description = %q{Process your uploads in the background by uploading directly to S3}
  s.required_ruby_version = ">= 1.9.0"

  s.rubyforge_project = "carrierwave_direct"

  s.add_dependency "carrierwave"
  s.add_dependency "uuidtools"
  s.add_dependency "fog"

  s.add_development_dependency "rspec"
  s.add_development_dependency "timecop"
  s.add_development_dependency "rails", ">= 3.2.12"
  s.add_development_dependency "sqlite3"
  s.add_development_dependency "capybara"

  s.files = `git ls-files`.split("\n")
  s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.require_paths = ["lib"]
end
Something went wrong with that request. Please try again.